import type { Watermark, Watermarks } from 'istanbul-lib-report';
import type { LicenseConfig } from '../types';
import type { SpawnKillHandler } from '../utils/createSpawnKillHandler';
declare type BabelActionProps = {
    watch?: boolean;
    skipInitialBuild?: boolean;
    spawnKillHandler?: SpawnKillHandler;
};
declare type BabelNodeActionProps = {
    watch: boolean;
    scriptPath: string;
    watchPaths?: string[];
    withPinoPretty?: boolean;
    pinoIgnoreKeys?: string[];
    clearConsole?: boolean;
    executePath?: string;
};
declare type CommitlintActionProps = {
    edit: string;
};
declare type CoverageWatermarkThreshold = Watermark | number | undefined;
declare type CoverageActionProps = {
    projects: string[];
    watermarks?: Partial<Record<keyof Watermarks, CoverageWatermarkThreshold>>;
};
declare type DepcheckActionProps = {
    path: string;
    ignorePackages?: string[];
};
declare type EslintActionProps = {
    write?: boolean;
    files?: string[];
};
declare type JestActionProps = {
    projects: string[];
    updateSnapshot?: boolean;
    runInBand?: boolean;
    verbose?: boolean;
    watch?: boolean;
};
declare type LicensecheckActionProps = {
    licenseConfig: LicenseConfig;
    path?: string;
};
declare type PrettierActionProps = {
    write?: boolean;
    extension?: string;
    files?: string[];
};
declare type TscActionProps = {
    mode: 'type-check' | 'type-create';
};
export type { BabelActionProps, BabelNodeActionProps, CommitlintActionProps, CoverageActionProps, CoverageWatermarkThreshold, DepcheckActionProps, EslintActionProps, JestActionProps, LicensecheckActionProps, PrettierActionProps, TscActionProps, };
//# sourceMappingURL=types.d.ts.map