"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getExecCommand = exports.exec = void 0;

var _child_process = require("child_process");

var _tools = require("@kettil/tools");

const getExecCommand = ({
  cmd,
  args
}) => `${cmd} ${args.join(' ')}`;

exports.getExecCommand = getExecCommand;

const exec = ({
  cwd,
  cmd,
  args,
  envPrefix = {},
  envSuffix = {},
  spawnKillHandler,
  log
}, stdio) => {
  const {
    stdin,
    stdout,
    stderr
  } = stdio ?? {};
  const env = { ...envPrefix,
    ...(0, _tools.env)(),
    ...envSuffix
  };
  log.info(`\ncwd:  ${cwd}`);
  log.info(`exec: ${getExecCommand({
    cmd,
    args
  })}`);
  const stream = (0, _child_process.spawn)(cmd, args, {
    cwd,
    env,
    shell: true,
    stdio: [stdin ?? 'pipe', stdout ?? 'pipe', stderr ?? 'pipe']
  });

  if (spawnKillHandler) {
    spawnKillHandler.addCallback(signal => stream.kill(signal));
  }

  return stream;
};

exports.exec = exec;