"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.handler = exports.desc = exports.command = exports.builder = exports.aliases = void 0;

var _yargs = require("../cli/yargs");

var _analyseTask = require("../tasks/analyseTask");

const command = 'analyse';
exports.command = command;
const desc = 'Run code quality tools';
exports.desc = desc;
const aliases = ['$0'];
exports.aliases = aliases;
const options = {
  group: `${command}-Options`
};
const boolOptions = { ...options,
  type: 'boolean'
};
const handler = (0, _yargs.createHandler)(_analyseTask.analyseTask);
exports.handler = handler;
const builder = (0, _yargs.createBuilder)(command, yargs => yargs.options({
  all: { ...boolOptions,
    alias: 'a',
    conflicts: ['path'],
    describe: 'All files are checked and not only the changed/new files'
  },
  path: { ...options,
    type: 'string',
    alias: 'p',
    conflicts: ['all'],
    describe: 'Checks only files in the specified path'
  },
  only: { ...options,
    alias: 'o',
    choices: _analyseTask.analyseServices,
    describe: 'Run a single code quality tool'
  }
}));
exports.builder = builder;