"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.handler = exports.desc = exports.command = exports.builder = void 0;

var _yargs = require("../cli/yargs");

var _buildTask = require("../tasks/buildTask");

const command = 'build';
exports.command = command;
const desc = 'Run the build process';
exports.desc = desc;
const options = {
  group: `${command}-Options`
};
const boolOptions = { ...options,
  type: 'boolean',
  default: false
};
const handler = (0, _yargs.createHandler)(_buildTask.buildTask);
exports.handler = handler;
const builder = (0, _yargs.createBuilder)(command, yargs => yargs.options({
  watch: { ...boolOptions,
    alias: 'w',
    describe: 'Watch files for changes and rebuild the changed files (without type files)'
  }
}));
exports.builder = builder;