"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.handler = exports.desc = exports.command = exports.builder = void 0;

var _yargs = require("../cli/yargs");

var _manageTask = require("../tasks/manageTask");

const command = 'manage';
exports.command = command;
const desc = 'Run general conditions check';
exports.desc = desc;
const options = {
  group: `${command}-Options`
};
const handler = (0, _yargs.createHandler)(_manageTask.manageTask);
exports.handler = handler;
const builder = (0, _yargs.createBuilder)(command, yargs => yargs.options({
  only: { ...options,
    alias: 'o',
    choices: _manageTask.manageServices,
    describe: 'Run a single condition check'
  }
}));
exports.builder = builder;