"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.buildTscTask = void 0;

var _path = require("path");

var _packageLoad = require("../../actions/npm/packageLoad");

var _tsc = require("../../actions/tools/tsc");

var _spinner = require("../../cli/spinner");

const buildTscTask = ({
  argv,
  path
}) => async () => {
  const isPrivate = await (0, _packageLoad.npmPackageLoadAction)(argv, {
    key: 'private',
    path
  });
  const subTitle = path === argv.cwd ? '' : `[${(0, _path.basename)(path)}]`;

  if (isPrivate === true) {
    return;
  }

  await (0, _spinner.spinnerAction)((0, _tsc.tscAction)({ ...argv,
    cwd: path
  }, {
    mode: 'type-create'
  }), `Build: Typescript ${subTitle}`);
};

exports.buildTscTask = buildTscTask;