"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getLicenseConfigs = void 0;

var _licenseAliases = require("../../../../configs/licenseAliases");

var _licenseCompatibilities = require("../../../../configs/licenseCompatibilities");

var _licenseHeuristics = require("../../../../configs/licenseHeuristics");

var _getAliasConfig = require("./getAliasConfig");

var _getCompatibilityConfig = require("./getCompatibilityConfig");

var _getHeuristicConfig = require("./getHeuristicConfig");

var _getIgnoreConfig = require("./getIgnoreConfig");

const getLicenseConfigs = licenseOptions => {
  const ignorePackages = (0, _getIgnoreConfig.getIgnoreConfig)({
    config: licenseOptions
  });
  const compatibilities = (0, _getCompatibilityConfig.getCompatibilityConfig)({
    config: licenseOptions,
    replaceConfig: licenseOptions.replaceCompatibleList === true,
    defaultCompatibilities: _licenseCompatibilities.licenseCompatibilities
  });
  const heuristics = (0, _getHeuristicConfig.getHeuristicConfig)({
    config: licenseOptions,
    replaceConfig: licenseOptions.replaceHeuristicList === true,
    defaultHeuristics: _licenseHeuristics.licenseHeuristics
  });
  const aliases = (0, _getAliasConfig.getAliasConfig)({
    config: licenseOptions,
    replaceConfig: licenseOptions.replaceAliaseList === true,
    defaultAliases: _licenseAliases.licenseAliases
  });
  return {
    compatibilities,
    heuristics,
    aliases,
    ignorePackages
  };
};

exports.getLicenseConfigs = getLicenseConfigs;