"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.reduceAliasList = void 0;

var _tools = require("@kettil/tools");

var _reduceAliasLicenseList = require("./reduceAliasLicenseList");

const reduceAliasList = (packages, [packageName, versions]) => {
  if (!(0, _tools.isString)(packageName)) {
    throw new TypeError('.carnarc.json: license.aliases has a key that is not a string');
  }

  if (!(0, _tools.isObject)(versions)) {
    throw new TypeError(`.carnarc.json: license.aliases.${packageName} is not an object`);
  }

  return Object.assign(packages, {
    [packageName]: (0, _tools.objectEntries)(versions).reduce((0, _reduceAliasLicenseList.reduceAliasLicenseList)({
      packageName
    }), { ...packages[packageName]
    })
  });
};

exports.reduceAliasList = reduceAliasList;