"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getFirstExistingFile = void 0;

var _tools = require("@kettil/tools");

var _existFiles = require("../cmd/existFiles");

var _firstExistFileError = require("../errors/firstExistFileError");

const getFirstExistingFile = async ({
  cwd,
  files,
  defaultFile
}) => {
  const filteredFiles = files.filter(_tools.isString);
  const checkedFiles = await (0, _existFiles.existFiles)(filteredFiles, cwd);
  const file = checkedFiles.at(0);

  if ((0, _tools.isString)(file)) {
    return file;
  }

  if ((0, _tools.isString)(defaultFile)) {
    return defaultFile;
  }

  throw new _firstExistFileError.FirstExistFileError(`None of the following files were found: ${files.join(', ')}`);
};

exports.getFirstExistingFile = getFirstExistingFile;