"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getNodeModulePaths = void 0;

var _path = require("path");

var _access = require("../cmd/access");

var _readdir = require("../cmd/readdir");

const getNodeModulePaths = async packagePath => {
  const nodeModulesPath = (0, _path.join)(packagePath, 'node_modules');
  const packagePaths = [packagePath];
  const isNodeModulesReadable = await (0, _access.access)(nodeModulesPath, 'readable');

  if (isNodeModulesReadable) {
    const files = await (0, _readdir.readdir)(nodeModulesPath);
    const paths = await Promise.all(files.filter(file => file.isDirectory() && !file.name.startsWith('.')).map(async folder => getNodeModulePaths((0, _path.join)(nodeModulesPath, folder.name))));
    packagePaths.push(...paths.flat());
  }

  return packagePaths;
};

exports.getNodeModulePaths = getNodeModulePaths;