"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.topologicalSortingFactory = void 0;

var _topologicalSortingUtil = require("./topologicalSortingUtil");

const topologicalSortingFactory = nodes => {
  const edges = Object.fromEntries(nodes.map(k => [k, []]));
  return {
    addEdge: (fromNode, toNode) => {
      edges[fromNode].push(toNode);
    },
    getSortedNode: () => nodes.reduce((rData, rNode) => rData.visited[rNode] ? rData : (0, _topologicalSortingUtil.topologicalSortingUtil)(rNode, rData), {
      edges,
      stack: [],
      visited: {}
    }).stack
  };
};

exports.topologicalSortingFactory = topologicalSortingFactory;